InstantiatedIndex (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedIndex class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedIndex

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedIndex

All Implemented Interfaces:
  Serializable

    public class InstantiatedIndex

extends Object
implements Serializable

Represented as a coupled graph of class instances, this all-in-memory index store implementation delivers search results up to a 100 times faster than the file-centric RAMDirectory at the cost of greater RAM consumption.

WARNING: This contrib is experimental and the APIs may change without warning.

There are no read and write locks in this store. `InstantiatedIndexReader` `InstantiatedIndexReader.isCurrent()` all the time and `InstantiatedIndexWriter` will attempt to update instances of the object graph in memory at the same time as a searcher is reading from it. Consider using InstantiatedIndex as if it was immutable.

See Also:
  Serialized Form

Constructor Summary
`InstantiatedIndex()` Creates an empty instantiated index for you to fill with data using an `InstantiatedIndexWriter`.
`InstantiatedIndex(IndexReader sourceIndexReader)` Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.
`InstantiatedIndex(IndexReader sourceIndexReader, Set<String> fields)` Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

Method Summary
`void` | `close()`
`Set<Integer>` | `getDeletedDocuments()`
`InstantiatedDocument[]` | `getDocumentsByNumber()`
`Map<String,byte[]>` | `getNormsByFieldNameAndDocumentNumber()`
`InstantiatedTerm[]` | `getOrderedTerms()`
`Map<String,Map<String,InstantiatedTerm>>` | `getTermsByFieldAndText()`
`long` | `getVersion()`
`InstantiatedIndexReader` | `indexReaderFactory()`
`InstantiatedIndexWriter` | `indexWriterFactory(Analyzer analyzer, boolean create)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiatedIndex

    public InstantiatedIndex()

  Creates an empty instantiated index for you to fill with data using an `InstantiatedIndexWriter`.

### InstantiatedIndex

    public InstantiatedIndex(IndexReader sourceIndexReader)
                      throws IOException

  Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

  Parameters:
    `sourceIndexReader` - the source index this new instantiated index will be copied from.
  Throws:
    `IOException` - if the source index is not optimized, or when accesing the source.

### InstantiatedIndex

    public InstantiatedIndex(IndexReader sourceIndexReader,
                             Set<String> fields)
                      throws IOException

  Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

  Parameters:
    `sourceIndexReader` - the source index this new instantiated index will be copied from.
    `fields` - fields to be added, or null for all
  Throws:
    `IOException` - if the source index is not optimized, or when accesing the source.

Method Detail

### indexWriterFactory

    public InstantiatedIndexWriter indexWriterFactory(Analyzer analyzer,
                                                      boolean create)
                                               throws IOException

  Throws:
    `IOException`

### indexReaderFactory

    public InstantiatedIndexReader indexReaderFactory()
                                               throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### getTermsByFieldAndText

    public Map<String,Map<String,InstantiatedTerm>> getTermsByFieldAndText()

### getOrderedTerms

    public InstantiatedTerm[] getOrderedTerms()

### getDocumentsByNumber

    public InstantiatedDocument[] getDocumentsByNumber()

### getNormsByFieldNameAndDocumentNumber

    public Map<String,byte[]> getNormsByFieldNameAndDocumentNumber()

### getDeletedDocuments

    public Set<Integer> getDeletedDocuments()

### getVersion

    public long getVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.